!-----------------------BEGIN NOTICE -- DO NOT EDIT-----------------------
! NASA Goddard Space Flight Center Land Information System (LIS) v7.1
!
! Copyright (c) 2015 United States Government as represented by the
! Administrator of the National Aeronautics and Space Administration.
! All Rights Reserved.
!-------------------------END NOTICE -- DO NOT EDIT-----------------------
!BOP
!
! !ROUTINE: getNSO_GRACE.F90
!
! !DESCRIPTION:
!   Returns the number of selected observations (NSO) 
!   corresponding to the grid point specified 
!
! !REVISION HISTORY:
!  21Jun2006: Sujay Kumar; Initial Specification
!  11Aug2011: Ben Zaitchik; Modified for GRACE
!
! !INTERFACE: 
subroutine getNSO_GRACE(n, gid,st_id,en_id)

  implicit none
!
! !DESCRIPTION:
!   Returns the number of selected GRACE observations (NSO) 
!   corresponding to the selected modeling point
! 
!  The arguments are: 
!  \begin{description}
!  \item[n]     index of the nest
!  \item[gid]   index of the modeling point
!  \item[st\_id] starting index of the selected observations
!  \item[en\_id] ending index of the selected observations
!  \end{description}
!EOP

  integer,   intent(IN)    :: n
  integer,   intent(IN)    :: gid
  integer,   intent(OUT)   :: st_id
  integer,   intent(OUT)   :: en_id

!-------------------------------------------------------------------------
!  BZ: need to check on best way to update this for variable resolution
!      for now, simply assume that preproc set GRACE res to model res
!-------------------------------------------------------------------------

  st_id = gid
  en_id = gid

end subroutine getNSO_GRACE
